﻿@{
    ViewData["Nombre_tabla"] = "Grupo cultivo";
    ViewData["lugar"] = "Grupo cultivo";

    Layout = "_index"; }






@model IEnumerable<Generic_appWeb.Models.Grupo_cultivo>

<div class="card-body">
    <table id="example1" class="table table-bordered table-striped ">

        @*<thead>

            <tr>

                <th colspan="3" style="text-align:center">Codigo </th>
                <th colspan="3" style="text-align:center">Descripcion</th>
                <th colspan="2" style="text-align:center">Detalle</th>
                <th colspan="2" style="text-align:center">Fecha</th>
                <th colspan="2" style="text-align:center">Usuario</th>
                <th colspan="4"></th>

            </tr>

        </thead>*@

        <thead class="filters">
            <tr >
                <th>Interno</th>
                <th>Empresa</th>
                <th>Alterno</th>

                <th>Larga</th>
                <th>Mediana</th>
                <th>Corta</th>

                <th>Abreviacion</th>
                <th>Observacion</th>

                <th>Creacion</th>
                <th>Modificacion</th>
                <th>Creacion</th>
                <th>Modificacion</th>
                <th>Secuencia</th>


                <th></th>
                <th></th>
            </tr>

        </thead>



        <tbody>


            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.GCul_id)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.GCul_codigo_empresa)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.GCul_codigo_alterno)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.GCul_descripcion_larga)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.GCul_descripcion_med)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.GCul_descripcion_corta)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.GCul_abreviacion)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.GCul_observacion)
                    </td>



                    <td>
                        @Html.DisplayFor(modelItem => item.GCul_fecha_creacion)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.GCul_fecha_modificacion)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.GCul_usuario_creacion.Users_descripcion_corta)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.GCul_usuario_modificacion.Users_descripcion_corta)
                    </td>


                    <td>
                        @Html.DisplayFor(modelItem => item.GCul_secuencia)
                    </td>


                    <td>
                        <a asp-action="Edit" asp-route-id="@item.GCul_id" asp-route-usu=" item.GCul_usuario_creacion" asp-route-usu1="@item.GCul_usuario_modificacion" class="btn btn-info">Editar</a>
                    </td>
                    <td>
                        <a asp-action="Delete" class="btn btn-danger" asp-route-id="@item.GCul_id" onclick="return confirm('Se eliminara el registro');">Eliminar</a>
                    </td>
                </tr>
            }

        </tbody>



    </table>

</div>






    @section Scripts
    {










        <!-- DataTables -->
        <script src="~/AdminLTE-3.0.5/plugins/datatables/jquery.dataTables.min.js"></script>
        <script src="~/AdminLTE-3.0.5/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
        <script src="~/AdminLTE-3.0.5/plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
        <script src="~/AdminLTE-3.0.5/plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>

        <script src="~/Js/Tipos_estados_index.js"></script>






        <script>
            $(function () {
                $("#example1").DataTable({
                    "responsive": true,
                    "autoWidth": false,
                });
                $('#example2').DataTable({
                    "paging": true,
                    "lengthChange": false,
                    "searching": false,
                    "ordering": true,
                    "info": true,
                    "autoWidth": false,
                    "responsive": true,
                });
            });
        </script>
     



    }
